Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/zoom.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions | Variables
zoom.h File Reference

Go to the source code of this file.

## Macros

#define | zoom_get_level() map_zoom
#define | zoom_is_enabled() zoom_enabled

## Functions

void | zoom_set (float new_zoom)
void | zoom_1_0 (void)
void | zoom_set_steps (float *steps)
void | zoom_phase_set (bool individual_tiles)
void | zoom_step_up (void)
void | zoom_step_down (void)
void | zoom_start (float tgt, bool tgt_1_0, float factor, float interval)
bool | zoom_update (double time_until_next_call)

## Variables

bool | zoom_enabled
float | map_zoom
float | mouse_zoom

## Macro Definition Documentation

## ◆ zoom_get_level

#define zoom_get_level | ( |  | ) | map_zoom

Definition at line 25 of file zoom.h.

## ◆ zoom_is_enabled

#define zoom_is_enabled | ( |  | ) | zoom_enabled

Definition at line 26 of file zoom.h.

## Function Documentation

## ◆ zoom_1_0()

void zoom_1_0 | ( | void |  | ) |

Set map zoom level to exactly one.

Definition at line 70 of file zoom.c.

Referenced by set_client_page_callback(), zoom_step_down(), zoom_step_up(), and zoom_update().

## ◆ zoom_phase_set()

void zoom_phase_set | ( | bool | individual_tiles | ) |

Set time zooming takes place. Default is to zoom individual tiles. Gui needs to implement alternatives themselves.

Definition at line 97 of file zoom.c.

Referenced by ui_init().

## ◆ zoom_set()

void zoom_set | ( | float | new_zoom | ) |

Set map zoom level.

Definition at line 53 of file zoom.c.

Referenced by set_client_page_callback(), zoom_step_down(), zoom_step_up(), and zoom_update().

## ◆ zoom_set_steps()

void zoom_set_steps | ( | float * | steps | ) |

Set list of zoom steps that the system uses. The list is not copied - caller is expected to maintain it. First and last value must be -1.0

Definition at line 84 of file zoom.c.

Referenced by ui_init().

## ◆ zoom_start()

void zoom_start | ( | float | tgt,
|  | bool | tgt_1_0,
|  | float | factor,
|  | float | interval
| ) |  |

Start zoom animation.

Definition at line 160 of file zoom.c.

## ◆ zoom_step_down()

void zoom_step_down | ( | void |  | ) |

Zoom level one step down

Definition at line 134 of file zoom.c.

Referenced by key_press_map_canvas(), and key_press_map_canvas().

## ◆ zoom_step_up()

void zoom_step_up | ( | void |  | ) |

Zoom level one step up

Definition at line 110 of file zoom.c.

Referenced by key_press_map_canvas(), and key_press_map_canvas().

## ◆ zoom_update()

bool zoom_update | ( | double | time_until_next_call | ) |

Next step from the active zoom.

Definition at line 176 of file zoom.c.

Referenced by real_timer_callback().

## Variable Documentation

## ◆ map_zoom

float map_zoom

extern

Definition at line 25 of file zoom.c.

Referenced by anchor_selection_rectangle(), base_canvas_to_map_pos(), battle_animation(), info_tile::calc_size(), can_do_cached_drawing(), center_tile_mapcanvas(), decrease_unit_hp_smooth(), define_tiles_within_rectangle(), draw_calculated_trade_routes(), draw_segment(), draw_trade_route_line(), editor_end_selection_rectangle(), explosion_animation(), get_center_tile_mapcanvas(), get_mapview_scroll_step(), get_mapview_scroll_window(), gui_to_natural_pos(), link_mark_draw(), map_canvas_resized(), map_view::mouseMoveEvent(), move_unit_map_canvas(), movement_animation(), nuke_animation(), popit(), popup_find_dialog(), popupinfo_positioning_callback(), put_cross_overlay_tile(), put_nuke_mushroom_pixmaps(), put_one_tile(), put_window_near_map_tile(), scroll_mapview(), map_view::shortcut_pressed(), show_city_descriptions(), show_full_citybar(), show_small_citybar(), show_tile_label(), show_tile_labels(), tile_to_canvas_pos(), tile_visible_and_not_on_border_mapcanvas(), tile_visible_mapcanvas(), trade_route_to_canvas_lines(), unqueue_mapview_updates(), update_map_canvas(), update_selection_rectangle(), zoom_1_0(), zoom_phase_set(), and zoom_set().

## ◆ mouse_zoom

float mouse_zoom

extern

Definition at line 28 of file zoom.c.

Referenced by action_button_pressed(), adjust_workers_button_pressed(), anchor_selection_rectangle(), butt_down_mapcanvas(), button_down_on_map(), button_up_on_map(), editor_end_selection_rectangle(), editor_mouse_button_press(), editor_mouse_move(), key_city_overlay(), leave_mapcanvas(), left_butt_down_mapcanvas(), main_finger_down_handler(), main_mouse_button_down_handler(), main_mouse_motion_handler(), map_canvas_draw(), map_canvas_resized(), map_canvas_size_refresh(), maybe_activate_keyboardless_goto(), middle_butt_down_mapcanvas(), mouse_scroll_mapcanvas(), mouse_scroll_mapcanvas(), move_mapcanvas(), move_mapcanvas(), popit(), recenter_button_pressed(), release_goto_button(), right_butt_down_mapcanvas(), scrollbar_jump_callback(), update_line(), update_selection_rectangle(), wakeup_button_pressed(), zoom_1_0(), zoom_set(), zoom_start(), zoom_step_down(), zoom_step_up(), and zoom_update().

## ◆ zoom_enabled

bool zoom_enabled

extern

Definition at line 26 of file zoom.c.

Referenced by zoom_1_0(), zoom_phase_set(), and zoom_set().